<?php

namespace App;

use Illuminate\Database\Eloquent\Model;

class Group extends Model
{
    protected $table = 'pc_group';
    protected $primaryKey = 'pcgroupid';

    const UPDATED_AT = 'modified_date';
    const CREATED_AT = null;

    public function assets() {
        return $this->hasMany('App\Asset', 'pcgroupid', 'pcgroupid');
    }

    public function credentials() {
        return $this->hasMany('App\Credential', 'groupid', 'pcgroupid');
    }
}
